<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

  <xsl:template match="/">
    <html>
    <body>
	<xsl:apply-templates select="document"/>
    </body>
    </html>
  </xsl:template>

  <xsl:template match="document">
	<xsl:apply-templates select="header"/>
	<xsl:apply-templates select="body"/>
  </xsl:template>

  <xsl:template match="header">
	<H1>
		<xsl:apply-templates select="*|text()"/>
	</H1>
  </xsl:template>

  <xsl:template match="title">
	<B><xsl:apply-templates select="*|text()"/></B>
  </xsl:template>

  <xsl:template match="body">
	<xsl:apply-templates select="*|text()"/>
  </xsl:template>

  <xsl:template match="section">
	<P>
	<TABLE WIDTH="100%" BORDER="1" cellpadding="10">
		<TR BGCOLOR="0000ff"><TD><xsl:apply-templates select="title"/></TD></TR>
		<TR>
			<TD>
				<xsl:apply-templates select="*[name()!='title']|text()"/>
			</TD>
		</TR>
	</TABLE>
	</P>
	<BR/>
  </xsl:template>

  <xsl:template match="p">
	<P>
		<xsl:apply-templates select="*|text()"/>
	</P>
  </xsl:template>

  <xsl:template match="ul">
	<UL>
		<xsl:apply-templates select="*|text()"/>
	</UL>
  </xsl:template>

  <xsl:template match="li">
	<!-- text -->
	<LI>
		<xsl:apply-templates select="*|text()"/>
	</LI>
  </xsl:template>

  <xsl:template match="strong">
	<STRONG>
		<xsl:apply-templates select="*|text()"/>
	</STRONG>
  </xsl:template>

  <xsl:template match="source">
	<I>
		<font size="-1">
			<xsl:call-template name="mostraTextAmbSalts"> 
			   <xsl:with-param name="text" select="."/> 
			</xsl:call-template>
		</font>
	</I>
  </xsl:template>

  <xsl:template match="code">
	<I>
		<xsl:copy><xsl:copy-of select="."/></xsl:copy>
	</I>
  </xsl:template>

  <xsl:template match="a">
	<A HREF="#">
		<xsl:attribute name="ALT"><xsl:value-of select="@href"/></xsl:attribute>
		<xsl:attribute name="TITLE"><xsl:value-of select="@href"/></xsl:attribute>
		<xsl:apply-templates select="*|text()"/>
	</A>
  </xsl:template>

  <xsl:template match="text()|@*">
  	<xsl:value-of select="."/>
  </xsl:template> 

<xsl:template name="mostraTextAmbSalts"> 
	<xsl:param name="text" /> 
	<xsl:variable name="crlf" select="'&#x0A;'" /> 

	<xsl:call-template name="mostraTextAmbEspais"> 
	   <xsl:with-param name="text">
		<xsl:value-of select="substring-before($text, $crlf)" /> 
	   </xsl:with-param>
	</xsl:call-template>	

    <xsl:if test="contains($text, $crlf)"> 
	<BR/>
        <xsl:call-template name="mostraTextAmbSalts"> 
            <xsl:with-param name="text" select="substring-after($text, $crlf)" /> 
        </xsl:call-template> 
    </xsl:if> 
</xsl:template> 

<xsl:template name="mostraTextAmbEspais"> 
	<xsl:param name="text" /> 
	<xsl:variable name="espai" select="' '" /> 

	<xsl:value-of select="substring-before($text, $espai)" /><xsl:text>&nbsp;</xsl:text>
	<xsl:if test="contains($text, $espai)"> 
        	<xsl:call-template name="mostraTextAmbEspais"> 
	            <xsl:with-param name="text" select="substring-after($text, $espai)" /> 
        	</xsl:call-template> 
	</xsl:if> 
	<xsl:if test="contains($text, $espai)=false">
		<xsl:value-of select="$text"/>
	</xsl:if>
</xsl:template> 
 

</xsl:stylesheet>

