<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

  <xsl:template match="/">
    <html>
    <body>
	<xsl:apply-templates select="document"/>
    </body>
    </html>
  </xsl:template>

  <xsl:template match="document">
	<xsl:apply-templates select="header"/>
	<xsl:apply-templates select="body"/>
  </xsl:template>

  <xsl:template match="header">
	<H1>
		<xsl:apply-templates select="*"/>
	</H1>
  </xsl:template>

  <xsl:template match="title">
	<B><font face="Verdana, Arial, Helvetica, sans-serif"><font size="4"> 
	<xsl:value-of select="."/>
	</font></font></B>
  </xsl:template>

  <xsl:template match="body">
	<xsl:apply-templates select="*"/>
  </xsl:template>

  <xsl:template match="section">
	<P>
	<font face="Verdana, Arial, Helvetica, sans-serif"><font size="-1">
	<TABLE WIDTH="100%" BORDER="2" cellpadding="15">
		<TR BGCOLOR="orange"><TD><xsl:apply-templates select="title"/></TD></TR>
		<TR>
			<TD>
				<xsl:apply-templates select="*"/>
			</TD>
		</TR>
	</TABLE>
	</font></font>
	</P>
	<BR/>
  </xsl:template>

  <xsl:template match="p">
	<P>
	<font face="Verdana, Arial, Helvetica, sans-serif"><font size="-1">
		<xsl:value-of select="."/>
		<xsl:apply-templates select="*"/>
	</font></font>	
	</P>
  </xsl:template>

  <xsl:template match="ul">
	<UL>
		<xsl:value-of select="./text()"/>
		<xsl:apply-templates select="*"/>
	</UL>
  </xsl:template>

  <xsl:template match="li">
	<!-- text -->
	<LI>
		<xsl:value-of select="./text()"/>
		<xsl:apply-templates select="*"/>
	</LI>
  </xsl:template>

  <xsl:template match="strong">
	<STRONG>
		<xsl:apply-templates select="*"/>
	</STRONG>
  </xsl:template>

  <xsl:template match="source">
	<I>
		<xsl:copy><xsl:value-of select="."/></xsl:copy>
		<xsl:copy><xsl:apply-templates select="*"/></xsl:copy>
	</I>
  </xsl:template>

  <xsl:template match="code">
	<I>
		<xsl:copy><xsl:value-of select="."/></xsl:copy>
	</I>
  </xsl:template>

  <xsl:template match="text">
	<xsl:copy><xsl:value-of select="."/></xsl:copy>
  </xsl:template>

</xsl:stylesheet>

